#include <bits/stdc++.h>
using namespace std;
long long n, l, h;
int main(){
    scanf("%lld %lld", &n, &l);
    for(int i=1; i<=n; i++){
        scanf("%lld", &h);
        if(l>=h){
            printf("%d", i);
            return 0;
        }
    }
    printf("-1");
    return 0;
}